package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_{{.Option "CLASS"}}_ROLE = "user_{{.Option "class"}}_role"
	{{.Option "CLASS"}}_UID       = "{{.Option "class"}}_uid"
	{{.Option "CLASS"}}_NAME      = "{{.Option "class"}}_name"
	{{.Option "CLASS"}}_TYPE      = "{{.Option "class"}}_type"
	{{.Option "TABLE"}}_UID       = "{{.Option "what"}}_uid"
)

type User{{.Option "Class"}} struct {
	db.ModelUserPlace
	{{.Option "Class"}}UID string `gorm:"type:char(32);index"`
}
type {{.Option "Class"}} struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type {{.Option "Table"}} struct {
	db.ModelContent
	{{.Option "Class"}}UID string `gorm:"type:char(32);index"`
}


func init() { db.CmdModels("", &User{{.Option "Class"}}{}, &{{.Option "Class"}}{}, &{{.Option "Table"}}{}) }
