package yuehaoxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/community/src/yuehaoxitong/model"
	"shylinux.com/x/enterprise/src/guanlixitong"
)

type Portal struct {
	guanlixitong.Portal
	placeCreate string `name:"placeCreate city_name* company_name* queue_name* queue_type:select" role:"void"`
}

func (s Portal) AfterPlaceAuth(m *ice.Message, arg ...string) {
	defer s.DashboardCreate(m, "")()
	s.DashboardInsertOrder(m, 1, "订单总量")
	s.DashboardInsertOrder(m, 2, "订单已预约", model.STATUS, SchedulePlan)
	s.DashboardInsertOrder(m, 3, "订单已取号", model.STATUS, ScheduleTake)
	s.DashboardInsertOrder(m, 4, "订单已完成", model.STATUS, ScheduleFinish)
}
func (s Portal) DashboardInsertOrder(m *ice.Message, order int, title string, arg ...ice.Any) {
	s.DashboardInsert(m, order, title, "order", Schedule{}, "", kit.TransArgs(kit.Simple(m.OptionSimple(model.QUEUE_UID), arg))...)
}
func init() { gonganxitong.PortalCmd(Portal{Portal: guanlixitong.NewPortal(userQueue{}, queue{})}) }
